> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Shopify collection products

> Products of a Shopify collection with options, variants, prices and availability. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-shopify-collections-products
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-shopify-collections-products:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Shopify collection products
      description: >-
        Products of a Shopify collection with options, variants, prices and
        availability. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                store_domain:
                  description: Store domain. e.g. e.g. gymshark.com
                  type: string
                collection:
                  description: Collection handle or URL. e.g. e.g. mens
                  type: string
                max_items:
                  description: Max items (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
              required:
                - store_domain
                - collection
            example:
              store_domain: e.g. gymshark.com
              collection: e.g. mens
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  store_domain:
                    type: string
                  collection:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      store_domain:
                        type: string
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          id:
                            type: integer
                          alias:
                            type: string
                          title:
                            type: string
                          url:
                            type: string
                          description:
                            type: string
                          description_html:
                            type: string
                          brand:
                            type: string
                          product_type:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          image:
                            type: string
                          images:
                            type: array
                            items:
                              type: string
                          options:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                position:
                                  type: integer
                                values:
                                  type: array
                                  items:
                                    type: string
                          variants:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                title:
                                  type: string
                                sku:
                                  type: string
                                barcode: {}
                                price:
                                  type: integer
                                list_price: {}
                                currency:
                                  type: string
                                available:
                                  type: boolean
                                inventory_quantity: {}
                                inventory_policy: {}
                                inventory_management: {}
                                fulfillment_service: {}
                                requires_shipping:
                                  type: boolean
                                taxable:
                                  type: boolean
                                option1:
                                  type: string
                                option2: {}
                                option3: {}
                                grams:
                                  type: integer
                                weight: {}
                                weight_unit: {}
                                position:
                                  type: integer
                                image: {}
                                created_at:
                                  type: string
                                updated_at:
                                  type: string
                          currency:
                            type: string
                          price_min:
                            type: integer
                          price_max:
                            type: integer
                          available:
                            type: boolean
                          published_at:
                            type: string
                          created_at:
                            type: string
                          updated_at:
                            type: string
                          source:
                            type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            alias:
                              type: string
                            title:
                              type: string
                            url:
                              type: string
                            description:
                              type: string
                            description_html:
                              type: string
                            brand:
                              type: string
                            product_type:
                              type: string
                            tags:
                              type: array
                              items:
                                type: string
                            image:
                              type: string
                            images:
                              type: array
                              items:
                                type: string
                            options:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  position:
                                    type: integer
                                  values:
                                    type: array
                                    items:
                                      type: string
                            variants:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  title:
                                    type: string
                                  sku:
                                    type: string
                                  barcode: {}
                                  price:
                                    type: integer
                                  list_price: {}
                                  currency:
                                    type: string
                                  available:
                                    type: boolean
                                  inventory_quantity: {}
                                  inventory_policy: {}
                                  inventory_management: {}
                                  fulfillment_service: {}
                                  requires_shipping:
                                    type: boolean
                                  taxable:
                                    type: boolean
                                  option1:
                                    type: string
                                  option2: {}
                                  option3: {}
                                  grams:
                                    type: integer
                                  weight: {}
                                  weight_unit: {}
                                  position:
                                    type: integer
                                  image: {}
                                  created_at:
                                    type: string
                                  updated_at:
                                    type: string
                            currency:
                              type: string
                            price_min:
                              type: integer
                            price_max:
                              type: integer
                            available:
                              type: boolean
                            published_at:
                              type: string
                            created_at:
                              type: string
                            updated_at:
                              type: string
                            source:
                              type: string
                      source:
                        type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: shopify_collection_products
                store_domain: allbirds.com
                collection: mens
                max_items: 2
                start_page: 1
                partial: false
                human: |-
                  # Shopify collection products

                  - **Store:** allbirds.com
                  - **Collection:** mens
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 43.8 KB
                machine:
                  store_domain: allbirds.com
                  total_items: 2
                  first_item:
                    id: 7205191974992
                    alias: mens-dasher-nz-anthracite
                    title: Men's Dasher NZ - Anthracite (Dark Anthracite Sole)
                    url: https://allbirds.com/products/mens-dasher-nz-anthracite
                    description: >-
                      A new take on our fan-favorite Dasher, made for busy days
                      and spontaneous plans. Lightweight, breathable comfort
                      keeps you cool as you move, with added heel protection
                      where it counts. Fast when you w
                    description_html: >-
                      <p>A new take on our fan-favorite Dasher, made for busy
                      days and spontaneous plans. Lightweight, breathable
                      comfort keeps you cool as you move, with added heel
                      protection where it counts. Fast when yo
                    brand: Allbirds
                    product_type: Shoes
                    tags:
                      - allbirds::carbon-score => undefined
                      - allbirds::cfId => color-ec0dcc8441508c674c885b8c8a990cfa
                    image: >-
                      https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005
                    images:
                      - >-
                        https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005
                      - >-
                        https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_BACK.png?v=1768948005
                    options:
                      - name: Size
                        position: 1
                        values:
                          - '8'
                          - '8.5'
                    variants:
                      - id: 41271176757328
                        title: '8'
                        sku: A12417M080
                        barcode: null
                        price: 140
                        list_price: null
                        currency: USD
                        available: false
                        inventory_quantity: null
                        inventory_policy: null
                        inventory_management: null
                        fulfillment_service: null
                        requires_shipping: true
                        taxable: true
                        option1: '8'
                        option2: null
                        option3: null
                        grams: 914
                        weight: null
                        weight_unit: null
                        position: 1
                        image: null
                        created_at: '2025-08-06T18:54:33-07:00'
                        updated_at: '2026-09-30T08:16:00-07:00'
                      - id: 41271176790096
                        title: '8.5'
                        sku: A12417M085
                        barcode: null
                        price: 140
                        list_price: null
                        currency: USD
                        available: false
                        inventory_quantity: null
                        inventory_policy: null
                        inventory_management: null
                        fulfillment_service: null
                        requires_shipping: true
                        taxable: true
                        option1: '8.5'
                        option2: null
                        option3: null
                        grams: 927
                        weight: null
                        weight_unit: null
                        position: 2
                        image: null
                        created_at: '2025-08-06T18:54:33-07:00'
                        updated_at: '2026-09-30T08:16:00-07:00'
                    currency: USD
                    price_min: 140
                    price_max: 140
                    available: true
                    published_at: '2026-08-24T09:53:01-07:00'
                    created_at: '2025-08-06T18:54:33-07:00'
                    updated_at: '2026-09-30T08:16:00-07:00'
                    source: json
                  items:
                    - id: 7205191974992
                      alias: mens-dasher-nz-anthracite
                      title: Men's Dasher NZ - Anthracite (Dark Anthracite Sole)
                      url: https://allbirds.com/products/mens-dasher-nz-anthracite
                      description: >-
                        A new take on our fan-favorite Dasher, made for busy
                        days and spontaneous plans. Lightweight, breathable
                        comfort keeps you cool as you move, with added heel
                        protection where it counts. Fast when you w
                      description_html: >-
                        <p>A new take on our fan-favorite Dasher, made for busy
                        days and spontaneous plans. Lightweight, breathable
                        comfort keeps you cool as you move, with added heel
                        protection where it counts. Fast when yo
                      brand: Allbirds
                      product_type: Shoes
                      tags:
                        - allbirds::carbon-score => undefined
                        - >-
                          allbirds::cfId =>
                          color-ec0dcc8441508c674c885b8c8a990cfa
                      image: >-
                        https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005
                      images:
                        - >-
                          https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005
                        - >-
                          https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_BACK.png?v=1768948005
                      options:
                        - name: Size
                          position: 1
                          values:
                            - '8'
                            - '8.5'
                      variants:
                        - id: 41271176757328
                          title: '8'
                          sku: A12417M080
                          barcode: null
                          price: 140
                          list_price: null
                          currency: USD
                          available: false
                          inventory_quantity: null
                          inventory_policy: null
                          inventory_management: null
                          fulfillment_service: null
                          requires_shipping: true
                          taxable: true
                          option1: '8'
                          option2: null
                          option3: null
                          grams: 914
                          weight: null
                          weight_unit: null
                          position: 1
                          image: null
                          created_at: '2025-08-06T18:54:33-07:00'
                          updated_at: '2026-09-30T08:16:00-07:00'
                        - id: 41271176790096
                          title: '8.5'
                          sku: A12417M085
                          barcode: null
                          price: 140
                          list_price: null
                          currency: USD
                          available: false
                          inventory_quantity: null
                          inventory_policy: null
                          inventory_management: null
                          fulfillment_service: null
                          requires_shipping: true
                          taxable: true
                          option1: '8.5'
                          option2: null
                          option3: null
                          grams: 927
                          weight: null
                          weight_unit: null
                          position: 2
                          image: null
                          created_at: '2025-08-06T18:54:33-07:00'
                          updated_at: '2026-09-30T08:16:00-07:00'
                      currency: USD
                      price_min: 140
                      price_max: 140
                      available: true
                      published_at: '2026-08-24T09:53:01-07:00'
                      created_at: '2025-08-06T18:54:33-07:00'
                      updated_at: '2026-09-30T08:16:00-07:00'
                      source: json
                    - id: 7205195907152
                      alias: mens-dasher-nz-light-burnt-olive
                      title: Men's Dasher NZ - Light Burnt Olive (Natural White Sole)
                      url: >-
                        https://allbirds.com/products/mens-dasher-nz-light-burnt-olive
                      description: >-
                        A new take on our fan-favorite Dasher, made for busy
                        days and spontaneous plans. Lightweight, breathable
                        comfort keeps you cool as you move, with added heel
                        protection where it counts. Fast when you w
                      description_html: >-
                        <p>A new take on our fan-favorite Dasher, made for busy
                        days and spontaneous plans. Lightweight, breathable
                        comfort keeps you cool as you move, with added heel
                        protection where it counts. Fast when yo
                      brand: Allbirds
                      product_type: Shoes
                      tags:
                        - allbirds::carbon-score => undefined
                        - >-
                          allbirds::cfId =>
                          color-8b1cde6894e604759c6bbc2e7f9fe77a
                      image: >-
                        https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_LEFT.png?v=1768948277
                      images:
                        - >-
                          https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_LEFT.png?v=1768948277
                        - >-
                          https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_BACK.png?v=1768948277
                      options:
                        - name: Size
                          position: 1
                          values:
                            - '8'
                            - '8.5'
                      variants:
                        - id: 41271198777424
                          title: '8'
                          sku: A12520M080
                          barcode: null
                          price: 140
                          list_price: null
                          currency: USD
                          available: false
                          inventory_quantity: null
                          inventory_policy: null
                          inventory_management: null
                          fulfillment_service: null
                          requires_shipping: true
                          taxable: true
                          option1: '8'
                          option2: null
                          option3: null
                          grams: 914
                          weight: null
                          weight_unit: null
                          position: 1
                          image: null
                          created_at: '2025-08-06T19:45:32-07:00'
                          updated_at: '2026-09-30T08:16:00-07:00'
                        - id: 41271198810192
                          title: '8.5'
                          sku: A12520M085
                          barcode: null
                          price: 140
                          list_price: null
                          currency: USD
                          available: false
                          inventory_quantity: null
                          inventory_policy: null
                          inventory_management: null
                          fulfillment_service: null
                          requires_shipping: true
                          taxable: true
                          option1: '8.5'
                          option2: null
                          option3: null
                          grams: 927
                          weight: null
                          weight_unit: null
                          position: 2
                          image: null
                          created_at: '2025-08-06T19:45:32-07:00'
                          updated_at: '2026-09-30T08:16:00-07:00'
                      currency: USD
                      price_min: 140
                      price_max: 140
                      available: true
                      published_at: '2026-09-25T16:57:57-07:00'
                      created_at: '2025-08-06T19:45:32-07:00'
                      updated_at: '2026-09-30T08:16:00-07:00'
                      source: json
                  source: json
                  proxy_traffic_bytes: 44820
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````